#delimit ;
set more off;
clear ; 
set mem 150m;
set matsize 800; 
*log using HetProb_Religion7.log;
use "newdata1986regcostfinal.dta";
drop if expcode==141780;

local case=3;

quietly tab impcode, generate(imp_fe);
quietly tab expcode, generate(exp_fe);
 enerate d_trade=0;
replace d_trade=1 if ln_trade!=.;

global FE "exp_fe* imp_fe*";
global BARRIERS "ln_distance border island landlock legalsystem_same my_d_lang colonial cu fta "; 
global EXCLUDED "religion_same";


probit d_trade $FE  $BARRIERS $EXCLUDED, robust cluster (newcode);
if `case'>1 {;
if `case'==2 {;
  mat beta=e(b);
  hetprob d_trade $FE  $BARRIERS $EXCLUDED, het( $BARRIERS $EXCLUDED) difficult technique(nr) from(beta); 
};	
if `case'==3 {;
predict double xb, xb;
xtile xbw = xb , nq(35);
quietly tab xbw, generate(wbins);
drop wbins1;
hetprob d_trade $FE  $BARRIERS $EXCLUDED, het(wbins*) difficult technique(bfgs 1 nr 10 );
}; 
};
predict double p_hat, p;

drop if d_trade==0;
xtile xbq = p_hat , nq(100);
quietly tab xbq, generate(bins);

reg ln_trade $FE  bins* $BARRIERS     ,robust  cluster (newcode);
capture drop xb;
predict double xb, xb;
g xb2=xb^2;
g xb3=xb^3;
qui reg ln_trade $FE  bins* $BARRIERS  xb2 xb3,robust  cluster (newcode);
di _b[ln_distance];
test xb2 xb3; 

capture log close;





